Package gnu.inet.encoding

## Class RangeSet.Range

- java.lang.Object
- - gnu.inet.encoding.RangeSet.Range

- All Implemented Interfaces:
    `java.lang.Comparable<RangeSet.Range>`
  Enclosing class:
    RangeSet

      public static final class RangeSet.Range
      extends java.lang.Object
      implements java.lang.Comparable<RangeSet.Range>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Range​(int single)` |
    `Range​(int first, int last)` |
    `Range​(RangeSet.Range firstRange, RangeSet.Range lastRange)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(RangeSet.Range other)` |
    `boolean` | `contains​(int i)` |
    `boolean` | `contains​(RangeSet.Range other)` | Checks if this range completely can contain the other range.
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Range

          public Range​(int first,
                       int last)

    - #### Range

          public Range​(int single)

    - #### Range

          public Range​(RangeSet.Range firstRange,
                       RangeSet.Range lastRange)

  - ### Method Detail

    - #### contains

          public boolean contains​(int i)

    - #### contains

          public boolean contains​(RangeSet.Range other)

      Checks if this range completely can contain the other range.
      Parameters:
        `other` - other range to verify
      Returns:
        `true` if other completely contained by this, otherwise `false`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo​(RangeSet.Range other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<RangeSet.Range>`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`